
%define python_sitepkgsdir %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages/')"`)

Summary:	X interface to the GDB, DBX and XDB debuggers
Summary(pl):	Interfejs X do debugerw GDB, DBX i XDB
Name:		ddd
Version:	3.2.1
Release:	3
License:	GPL
Group:		Development/Debuggers
Group(pl):	Programowanie/Odpluskwiacze
Source0:	ftp://ftp.gnu.org/gnu/ddd/%{name}-%{version}.tar.gz
Source1:	ddd.desktop
Source2:	ddd-python.desktop
Patch0:		ddd-DESTDIR.patch
Icon:		ddd.xpm
URL:		http://www.gnu.org/software/ddd/
BuildRequires:	XFree86-devel
BuildRequires:	xpm-devel
BuildRequires:	motif-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	libstdc++-devel
Requires:	gdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The Data Display Debugger (DDD) is a common graphical user interface
for GDB, DBX, and XDB, the popular UNIX debuggers. Besides
``classical'' front-end features such as viewing source texts, DDD
provides a graphical data display, where data structures are displayed
as graphs. A simple mouse click dereferences pointers or views
structure contents, updated each time the program stops. Using DDD,
you can reason about your application by viewing its data, not just by
viewing it execute lines of source code. Other DDD features include:
debugging of programs written in C, C++, Ada, Fortran, Java, Pascal,
Modula-2, or Modula-3; machine-level debugging; hypertext source
navigation and lookup; breakpoint, backtrace, and history editors;
preferences and settings editors; program execution in terminal
emulator window; debugging on remote host; on-line manual; interactive
help on the Motif user interface; GDB/DBX/XDB command-line interface
with full editing, history, search, and completion capabilities. DDD
has been designed to compete with well-known commercial debuggers

%description -l pl
Data Display Debugger (DDD) jest typowm graficznym interfejsem do GDB,
DBX, i XDB - popularnych UNIXowych debuggerw. Poza ``klasycznymi''
moliwociami interfejsw graficznych takich jak przegldanie kodw
rdowych DDD dostarcza graficznych narzdzi, gdzie struktury
wywietlane s w postaci graficznej. Proste kliknicie mysz pozwala
na przegldanie zawartoci struktur (aktualizowane za kadym razem gdy
program si zatrzyma). Inne moliwoci DDD to: moliwo debugowania
programw napisanych w C, C++, Ada, Fortran, Java, Pascal, Modula-2,
or Modula-2; debugowanie na poziomie maszyny; hypertekstowa nawigacja
po rdach; breakpoint, backtrace i emulator okna historii; moliwo
ustawiania preferencji; uruchamianie programw w oknie terminala;
debugowanie na zdalnych serwerach; podrcznik on-line; interaktywna
pomoc; linia polece GDB/DBX/XDB z pen edycj, histori i
wyszukiwaniem.

%package python
Summary:	X interface to the GDB, DBX and XDB debuggers - The python debugger
Summary(pl):	Interfejs X do debugerw GDB, DBX i XDB - debuger pythona
Group:		Development/Debuggers
Group(pl):	Programowanie/Odpluskwiacze
Requires:	%{name} = %{version}

%description python
Data Display Debugger - python debugger.

%description -l pl
Data Display Debugger - debugger pythona.

%prep
%setup -q
%patch0 -p1

%build
LDFLAGS="-s"; export LDFLAGS
%configure \
	--with-motif
%{__make} CXXOPT="-DNDEBUG $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{python_sitepkgsdir} \
	$RPM_BUILD_ROOT%{_libdir}/X11/app-defaults \
	$RPM_BUILD_ROOT%{_applnkdir}/Development 

%{__make} DESTDIR=$RPM_BUILD_ROOT install 

install pydb/pydb.py $RPM_BUILD_ROOT%{_bindir}/pydb
install pydb/{pydbcmd,pydbsupt}.py $RPM_BUILD_ROOT%{python_sitepkgsdir}

install ddd/Ddd $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults

install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Development

gzip -9nf ANNOUNCE BUGS ChangeLog NEWS* OPENBUGS PROBLEMS README TIPS \
	TODO $RPM_BUILD_ROOT%{_mandir}/man1/*
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {ANNOUNCE,BUGS,ChangeLog,NEWS*,OPENBUGS,PROBLEMS,README,TIPS,TODO}.gz
%doc doc/sample.dddinit
%{_applnkdir}/Development/ddd.desktop
%attr(755,root,root) %{_bindir}/ddd
%{_libdir}/X11/app-defaults/Ddd
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%{_applnkdir}/Development/ddd-python.desktop
%attr(755,root,root) %{_bindir}/pydb
%{python_sitepkgsdir}/*
